Skip to main content
`Ctrl`+`K`
scipy.special.

# assoc_laguerre

scipy.special.assoc_laguerre(x, n, k=0.0)

  Compute the generalized (associated) Laguerre polynomial of degree n and order k.

  The polynomial \(L^{(k)}_n(x)\) is orthogonal over `[0, inf)`, with weighting function `exp(-x) * x**k` with `k > -1`.

  Parameters:
    x float or ndarray

      Points where to evaluate the Laguerre polynomial

    n int

      Degree of the Laguerre polynomial

    k int

      Order of the Laguerre polynomial

  Returns:
    assoc_laguerre: float or ndarray

      Associated laguerre polynomial values

  Notes

  `assoc_laguerre` is a simple wrapper around `eval_genlaguerre`, with reversed argument order `(x, n, k=0.0) --> (n, k, x)`.